From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/DBIx-Class-Schema-Loader/
Date: Sat, 2 Mar 2013 07:02:02 +0000 (UTC) [thread overview]
Message-ID: <1362178994.39f92869de5f46f3d2829d1f12e29ce28f0e26cb.kent@gentoo> (raw)
commit: 39f92869de5f46f3d2829d1f12e29ce28f0e26cb
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Fri Mar 1 23:03:14 2013 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Fri Mar 1 23:03:14 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=39f92869
[newversion] DBIx-Class-Schema-Loader-0.70.350
Package-Manager: portage-2.2.0_alpha141
Manifest-Sign-Key: ECD2C675C102CDA4
---
dev-perl/DBIx-Class-Schema-Loader/ChangeLog | 6 +
.../DBIx-Class-Schema-Loader-0.70.350.ebuild | 110 ++++++++++++++++++++
2 files changed, 116 insertions(+), 0 deletions(-)
diff --git a/dev-perl/DBIx-Class-Schema-Loader/ChangeLog b/dev-perl/DBIx-Class-Schema-Loader/ChangeLog
index 01ec7b1..abee009 100644
--- a/dev-perl/DBIx-Class-Schema-Loader/ChangeLog
+++ b/dev-perl/DBIx-Class-Schema-Loader/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*DBIx-Class-Schema-Loader-0.70.350 (01 Mar 2013)
+
+ 01 Mar 2013; Kent Fredric <kentfredric@gmail.com>
+ +DBIx-Class-Schema-Loader-0.70.350.ebuild:
+ Version Bump
+
09 Feb 2013; Kent Fredric <kentfredric@gmail.com>
DBIx-Class-Schema-Loader-0.70.20.ebuild,
DBIx-Class-Schema-Loader-0.70.60.ebuild,
diff --git a/dev-perl/DBIx-Class-Schema-Loader/DBIx-Class-Schema-Loader-0.70.350.ebuild b/dev-perl/DBIx-Class-Schema-Loader/DBIx-Class-Schema-Loader-0.70.350.ebuild
new file mode 100644
index 0000000..df23f78
--- /dev/null
+++ b/dev-perl/DBIx-Class-Schema-Loader/DBIx-Class-Schema-Loader-0.70.350.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=GENEHACK
+MODULE_VERSION=0.07035
+inherit perl-module
+
+DESCRIPTION='Create a DBIx::Class::Schema based on a database'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+perl_meta_configure() {
+ # ExtUtils::MakeMaker 6.59 ( 6.590.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.590.0
+}
+perl_meta_build() {
+ # Config::Any
+ echo dev-perl/Config-Any
+ # Config::General
+ echo dev-perl/config-general
+ # DBD::SQLite 1.29 ( 1.290.0 )
+ echo \>=dev-perl/DBD-SQLite-1.290.0
+ # DBIx::Class::IntrospectableM2M
+ echo dev-perl/DBIx-Class-IntrospectableM2M
+ # ExtUtils::MakeMaker 6.59 ( 6.590.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.590.0
+ # File::Path 2.07 ( 2.70.0 )
+ echo \>=virtual/perl-File-Path-2.07
+ # File::Temp 0.16 ( 0.160.0 )
+ echo \>=virtual/perl-File-Temp-0.160.0
+ # Moose 1.12 ( 1.120.0 )
+ echo \>=dev-perl/Moose-1.120.0
+ # MooseX::MarkAsMethods 0.13 ( 0.130.0 )
+ echo \>=dev-perl/MooseX-MarkAsMethods-0.130.0
+ # MooseX::NonMoose 0.16 ( 0.160.0 )
+ echo \>=dev-perl/MooseX-NonMoose-0.160.0
+ # Pod::Simple 3.22 ( 3.220.0 )
+ echo \>=virtual/perl-Pod-Simple-3.220.0
+ # Test::Exception 0.31 ( 0.310.0 )
+ echo \>=dev-perl/Test-Exception-0.310.0
+ # Test::More 0.94 ( 0.940.0 )
+ echo \>=virtual/perl-Test-Simple-0.94
+ # Test::Pod 1.14 ( 1.140.0 )
+ echo \>=dev-perl/Test-Pod-1.14
+ # Test::Warn 0.21 ( 0.210.0 )
+ echo \>=dev-perl/Test-Warn-0.210.0
+ # namespace::autoclean 0.09 ( 0.90.0 )
+ echo \>=dev-perl/namespace-autoclean-0.90.0
+}
+perl_meta_runtime() {
+ # Carp::Clan
+ echo dev-perl/Carp-Clan
+ # Class::Accessor::Grouped 0.10008 ( 0.100.80 )
+ echo \>=dev-perl/Class-Accessor-Grouped-0.100.80
+ # Class::C3::Componentised 1.0008 ( 1.0.800 )
+ echo \>=dev-perl/Class-C3-Componentised-1.0.800
+ # Class::Inspector 1.27 ( 1.270.0 )
+ echo \>=dev-perl/Class-Inspector-1.270.0
+ # Class::Unload 0.07 ( 0.70.0 )
+ echo \>=dev-perl/Class-Unload-0.70.0
+ # DBIx::Class 0.08127 ( 0.81.270 )
+ echo \>=dev-perl/DBIx-Class-0.81.270
+ # Data::Dump 1.06 ( 1.60.0 )
+ echo \>=dev-perl/Data-Dump-1.60.0
+ # Digest::MD5 2.36 ( 2.360.0 )
+ echo \>=virtual/perl-Digest-MD5-2.36
+ # Exporter 5.63 ( 5.630.0 )
+ echo \>=virtual/perl-Exporter-5.630.0
+ # Hash::Merge 0.12 ( 0.120.0 )
+ echo \>=dev-perl/Hash-Merge-0.120.0
+ # Lingua::EN::Inflect::Number 1.1 ( 1.100.0 )
+ echo \>=dev-perl/Lingua-EN-Inflect-Number-1.100.0
+ # Lingua::EN::Inflect::Phrase 0.15 ( 0.150.0 )
+ echo \>=dev-perl/Lingua-EN-Inflect-Phrase-0.150.0
+ # Lingua::EN::Tagger 0.23 ( 0.230.0 )
+ echo \>=dev-perl/Lingua-EN-Tagger-0.230.0
+ # List::MoreUtils 0.32 ( 0.320.0 )
+ echo \>=dev-perl/List-MoreUtils-0.320.0
+ # MRO::Compat 0.09 ( 0.90.0 )
+ echo \>=dev-perl/MRO-Compat-0.90.0
+ # Scope::Guard 0.20 ( 0.200.0 )
+ echo \>=dev-perl/Scope-Guard-0.200.0
+ # String::CamelCase 0.02 ( 0.20.0 )
+ echo \>=dev-perl/String-CamelCase-0.20.0
+ # String::ToIdentifier::EN 0.05 ( 0.50.0 )
+ echo \>=dev-perl/String-ToIdentifier-EN-0.50.0
+ # Sub::Name
+ echo dev-perl/Sub-Name
+ # Try::Tiny
+ echo dev-perl/Try-Tiny
+ # namespace::clean 0.23 ( 0.230.0 )
+ echo \>=dev-perl/namespace-clean-0.230.0
+ # perl v5.8.1 ( 5.8.1 )
+ echo \>=dev-lang/perl-5.8.1
+}
+src_test() {
+ export CAG_OLD_XS_NOWARN=1
+ perl-module_src_test;
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_build)
+ $(perl_meta_runtime)
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
next reply other threads:[~2013-03-02 7:02 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-03-02 7:02 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-04-02 23:30 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/DBIx-Class-Schema-Loader/ Kent Fredric
2015-04-02 23:30 Kent Fredric
2013-05-03 12:51 Kent Fredric
2013-04-26 20:31 Kent Fredric
2013-02-09 19:31 Kent Fredric
2012-10-27 8:36 Kent Fredric
2012-09-15 23:19 Kent Fredric
2012-09-15 23:19 Kent Fredric
2012-06-23 14:09 Kent Fredric
2012-06-23 14:09 Kent Fredric
2012-05-07 5:19 Kent Fredric
2012-04-09 16:05 Kent Fredric
2012-04-06 20:43 Kent Fredric
2012-02-15 10:58 Kent Fredric
2011-12-08 9:30 Kent Fredric
2011-11-11 14:38 Kent Fredric
2011-03-23 6:19 Kent Fredric
2011-03-06 11:34 Torsten Veller
2011-02-24 7:22 Torsten Veller
2011-02-19 8:12 Torsten Veller
2011-02-08 21:29 Torsten Veller
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1362178994.39f92869de5f46f3d2829d1f12e29ce28f0e26cb.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox